API referenceWebhook endpoints
Update a webhook endpoint
PATCH
Setting status to enabled also re-enables an auto-disabled endpoint. Requires webhooks:write.
bearerAuthheader
AuthorizationBearer <token>API key, e.g. rf_live_3f9k2q_….
endpoint_id*stringMatch
^whe_application/json- body
url?stringMatch
^https://Format
uriLength
length <= 2048description?stringLength
length <= 200event_types?array<>status?stringValue in
"enabled""disabled"Updated endpoint.
application/json- response
object*unknownid*stringMatch
^whe_url*stringFormat
uridescription?stringevent_types*array<>status*stringValue in
"enabled""disabled""auto_disabled"created_at*stringFormat
date-timecurl -X PATCH 'https://api.rawframe.dev/v1/webhook_endpoints/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "object": "webhook_endpoint", "id": "string", "url": "http://example.com", "description": "string", "event_types": [ "generation.succeeded" ], "status": "enabled", "created_at": "2019-08-24T14:15:22Z"}